#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define	pdir	JSON
Summary:	JSON - parse and convert to JSON (JavaScript Object Notation)
Summary(pl.UTF-8):	JSON - analiza i konwersja do notacji JSON (JavaScript Object Notation)
Name:		perl-JSON
Version:	4.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/JSON/%{pdir}-%{version}.tar.gz
# Source0-md5:	a709b32e194d0eb38f788cb49f422c4e
URL:		https://metacpan.org/dist/JSON
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Suggests:	perl-JSON-XS
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module converts between JSON (JavaScript Object Notation) and
Perl data structure into each other.

For JSON, See to <http://www.crockford.com/JSON/>.

%description -l pl.UTF-8
Ten moduł dokonuje konwersji między notacją JSON (JavaScript Object
Notation) a perlowymi strukturami danych.

Więcej informacji na temat notacji JSON można znaleźć pod adresem
<http://www.crockford.com/JSON/>.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/JSON.pm
%{perl_vendorlib}/JSON
%{_mandir}/man3/JSON*.3pm*
%changelog
* Tue Nov 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-JSON.git;a=log;h=master

* Tue Nov 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 65bd332
- Up to 4.10

* Tue Oct 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 29d13b3
- updated URL and macros

* Mon Sep 12 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> e4c19a2
- Up to 4.09

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7f75e81
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d013d79
- up to 4.02

* Thu Feb 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 74d8b7d
- up to 4.01

* Fri Jul 07 2017 Jakub Bogusz <qboosh@pld-linux.org> d123b25
- updated to 2.94

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a0cafd6
- up to 2.90

* Sat Jun 29 2013 Jakub Bogusz <qboosh@pld-linux.org> b2807f7
- updated to 2.59

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> 0bb7d98
- 2.53

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> 30b158e
- up to 2.51

* Fri Dec 04 2009 amateja <amateja@pld-linux.org> 00f621f
- updated to 2.16

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 0ac4d5e
- updated to 2.15

* Tue Jan 27 2009 radek <radek@pld-linux.org> ef44942
- version 2.12

* Sat Feb 23 2008 radek <radek@pld-linux.org> 9be6ca9
- fixed md5

* Sat Feb 23 2008 radek <radek@pld-linux.org> b9b30b0
- version 2.07, Suggests: JSON::XS

* Tue May 29 2007 Maciej Pijanka <agaran@pld-linux.org> dc3b470
- up to 1.14, rel 1, builds here

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 44781d4
- pl

* Fri Mar 23 2007 radek <radek@pld-linux.org> 9d37e7b
- new

